2019-10-18 00:36 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002586NetSurfCore-specificpublic2019-07-19 09:23
Reportersogal 
Assigned To 
SeveritytrivialReproducibilityalways 
StatusclosedResolutionfixed 
Product Version3.7 
Target Version3.9Fixed in Version3.9 
Summary0002586: netsurf fails to build for openSUSE (OBS) because of 64bit-portability-issue
DescriptionHi,
I would like to provide a Netsurf up-to-date package to openSUSE Leap.
When building the RPM locally no problem happens but when building it with the Open Build Service which openSUSE uses, it fails at the very end of the process, when checks are done, with the following output :

[ 109s] netsurf-3.7-0.x86_64
[ 109s] ... running 01-check-debuginfo
[ 109s] ... testing for empty debuginfo packages
[ 109s] ... running 02-check-gcc-output
[ 109s] ... testing for serious compiler warnings
[ 109s] (using /usr/lib/build/checks-data/check_gcc_output)
[ 109s] (using /var/tmp/build-root/openSUSE_Leap_42.3-x86_64/.build.log)
[ 109s] E: netsurf 64bit-portability-issue build-x86_64-suse-linux-x86_64-suse-linux-release-binary/nsgenbind-parser.c:1520
[ 109s]
[ 109s] requiem.eveha.fr failed "build netsurf.spec" at Tue Jan 9 10:19:51 UTC 2018.
[ 109s]

Is there a specific GCC flags that I can use to prevent this or is it code related ?

Thank you in advance for your time, work and attention.
Steps To ReproduceSetup on openSUSE Leap 42.3 and an OBS account, create a project and use the attached specfile and laucnh the build with :

osc build openSUSE_Leap_42.3 x86_64
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files
  • ? file icon netsurf.spec (3,336 bytes) 2018-01-09 10:36
  • patch file icon nsgenbind-parser.y.patch (371 bytes) 2018-01-15 18:31 -
    --- netsurf-all-3.7.orig/nsgenbind/src/nsgenbind-parser.y	2017-10-16 12:09:36.000000000 +0200
    +++ netsurf-all-3.7/nsgenbind/src/nsgenbind-parser.y	2018-01-15 18:26:00.422733450 +0100
    @@ -20,7 +20,7 @@
     
     %code requires {
     
    -#define YYLTYPE YYLTYPE
    +#define NSGENBIND_LTYPE NSGENBIND_LTYPE
     typedef struct YYLTYPE {
             struct YYLTYPE *next;
             int start_line;
    
    patch file icon nsgenbind-parser.y.patch (371 bytes) 2018-01-15 18:31 +

-Relationships
+Relationships

-Notes
sogal

~0001704

sogal (reporter)

When #define in %code requires section of gsenbind-parser.y is set to :
#define NSGENBIND_LTYPE NSGENBIND_LTYPE
there is no more build error.

Please see patch attached and consider closing this bug.

Thank you.
John-Mark Bell

~0001705

John-Mark Bell (administrator)

Please try again with HEAD of master.
Vincent Sanders

~0001977

Vincent Sanders (administrator)

we addressed this in a commit in 2018 but have received no feedback after a year so marking resolved
Vincent Sanders

~0001994

Vincent Sanders (administrator)

we believe this issue has been resolved in NetSurf 3.9
+Notes

-Issue History
Date Modified Username Field Change
2018-01-09 10:36 sogal New Issue
2018-01-09 10:36 sogal File Added: netsurf.spec
2018-01-15 18:31 sogal File Added: nsgenbind-parser.y.patch
2018-01-15 18:31 sogal Note Added: 0001704
2018-01-20 13:46 John-Mark Bell Note Added: 0001705
2018-01-20 15:36 John-Mark Bell Status new => feedback
2019-07-01 12:37 Vincent Sanders Status feedback => resolved
2019-07-01 12:37 Vincent Sanders Resolution open => fixed
2019-07-01 12:37 Vincent Sanders Fixed in Version => 3.9
2019-07-01 12:37 Vincent Sanders Target Version => 3.9
2019-07-01 12:37 Vincent Sanders Note Added: 0001977
2019-07-19 09:23 Vincent Sanders Status resolved => closed
2019-07-19 09:23 Vincent Sanders Note Added: 0001994
+Issue History